#!/usr/bin/env python3
from sys import stdin
import sys
import re

from math import ceil

integer = "(0|-?[1-9]\d*)"

line = stdin.readline()
assert re.match(integer, line)

#order = int(ceil(int(line) / 4))
remainder = int(line) % 4

assert(remainder!= 1)

line = stdin.readline()
assert len(line) == 0

# Nothing to report
sys.exit(42)